This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 136159 - im-sdk debuginfo missing most binaries and sources
im-sdk debuginfo missing most binaries and sources
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 09:30 EDT by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: im-sdk-12.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 04:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debuginfo from im-sdk-12.0.1-17 (older version) (17.63 KB, text/plain)
2004-10-19 04:47 EDT, Lawrence Lim
no flags Details
im-sdk debug info from the latest version of im-sdk-12.1-1 (42.38 KB, text/plain)
2004-10-19 04:48 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Jens Petersen 2004-10-18 09:30:33 EDT
Description of problem:
im-sdk is being built without debuginfo for most of it
subpackages.

How reproducible:
every time

Steps to Reproduce:
1. rpm -ql im-sdk-debuginfo
  
Actual results:
Missing files for iiimsf, iiimgcf, iiimxcf, leif and lib.

Expected results:
Debugging info for all executable files and their sources
to be included.

Additional info:
The subpackages in question override CFLAGS and CXXFLAGS.
Comment 1 Jens Petersen 2004-10-18 10:37:17 EDT
Should be fixed in 12.1-1.
Comment 2 Lawrence Lim 2004-10-19 04:45:17 EDT
Confirmed fixed in im-sdk-12.1-1. All the missing files for iiimsf,
iiimgcf, iiimxcf, leif and lib are now available. For a complete list,
please see attachment.


Thanks.
Comment 3 Lawrence Lim 2004-10-19 04:47:35 EDT
Created attachment 105426 [details]
debuginfo from im-sdk-12.0.1-17 (older version)
Comment 4 Lawrence Lim 2004-10-19 04:48:24 EDT
Created attachment 105427 [details]
im-sdk debug info from the latest version of im-sdk-12.1-1

Note You need to log in before you can comment on or make changes to this bug.